diff -Nru canna-3.7p3.old/debian/changelog canna-3.7p3/debian/changelog
--- canna-3.7p3.old/debian/changelog	2009-09-12 18:34:03.222056591 +0200
+++ canna-3.7p3/debian/changelog	2009-09-12 18:34:38.494056203 +0200
@@ -1,3 +1,32 @@
+canna (3.7p3-6.2) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Allow dpkg-reconfigure to work by using debconf settings even 
+    when /etc/canna/default.canna already exists. Closes: #208538
+  * Bump debhelper compatibility level to 7
+  * As a consequence, drop the use of "dh_clean -k", replaced by dh_prep
+  * Drop useless output and "exit 0" when postrm and postinst scripts are
+    called with something else than "purge".
+  * Use "set -e" in *postinst, *config and *postrm scripts
+  * Drop .pc/ directory cruft from Debian diff
+  * Debconf templates and debian/control reviewed by the debian-l10n-
+    english team as part of the Smith review project. Closes: #523990
+  * [Debconf translation updates]
+    - Galician. Closes: #524763
+    - Japanese. Closes: #524782, #510710
+    - Swedish. Closes: #524788
+    - Italian. Closes: #525164
+    - Finnish. Closes: #526186
+    - Portuguese. Closes: #526711
+    - Russian. Closes: #526756
+    - German. Closes: #526769
+    - French. Closes: #526871
+    - Basque. Closes: #526873
+    - Spanish. Closes: #526930
+    - Czech (Miroslav Kure).  Closes: #545159
+
+ -- Christian Perrier <bubulle@debian.org>  Sat, 12 Sep 2009 15:33:55 +0200
+
 canna (3.7p3-6.1) unstable; urgency=low
 
   * Non-maintainer upload to fix pending l10n issues.
diff -Nru canna-3.7p3.old/debian/compat canna-3.7p3/debian/compat
--- canna-3.7p3.old/debian/compat	2009-09-12 18:34:03.146067925 +0200
+++ canna-3.7p3/debian/compat	2009-09-12 18:34:38.002056827 +0200
@@ -1 +1 @@
-4
+7
diff -Nru canna-3.7p3.old/debian/config canna-3.7p3/debian/config
--- canna-3.7p3.old/debian/config	2009-09-12 18:34:03.946055572 +0200
+++ canna-3.7p3/debian/config	2009-09-12 18:34:41.042056430 +0200
@@ -1,9 +1,11 @@
-#!/bin/sh -e
+#!/bin/sh
 
 # Source debconf library.
 . /usr/share/debconf/confmodule
 db_version 2.0
 
+set -e
+
 db_input medium canna/run_cannaserver || true
 db_go
 
diff -Nru canna-3.7p3.old/debian/control canna-3.7p3/debian/control
--- canna-3.7p3.old/debian/control	2009-09-12 18:34:03.590057874 +0200
+++ canna-3.7p3/debian/control	2009-09-12 18:34:39.782135315 +0200
@@ -2,52 +2,67 @@
 Section: utils
 Priority: optional
 Maintainer: Atsushi Mitsuka <mitsuka@misao.gr.jp>
-Build-Depends: debhelper (>= 4.1.59), libx11-dev, xutils-dev, dpatch, po-debconf, autoconf2.13, ptex-bin
+Build-Depends: debhelper (>= 7), libx11-dev, xutils-dev, dpatch, po-debconf, autoconf2.13, ptex-bin
 Standards-Version: 3.6.2
 
 Package: canna
 Architecture: any
-Depends: ${shlibs:Depends}, debconf | debconf-2.0, adduser (>= 3.34)
+Depends: ${misc:Depends}, ${shlibs:Depends}, adduser (>= 3.34)
 Conflicts: canna-server, libcanna1g (<= 3.5b2-33)
 Replaces: canna-server
 Suggests: canna-shion
-Description: Japanese input system (server and dictionary)
- Canna is a Japanese input system available in Free Software.
- Canna provides a unified user interface for inputting Japanese.
- .
- Canna supports Nemacs, Mule, kinput2 and canuum.  All of these
- tools can be used by a single customization file, romaji-to-kana
- conversion rules and conversion dictionaries, and input Japanese in
- the same way.
+Description: input system for Japanese - server and dictionary
+ Canna provides a unified user interface for Japanese input. It is based
+ on a client-server model and supports automatic kana-to-kanji conversion.
  .
- Canna converts kana to kanji based on a client-server model and
- supports automatic kana-to-kanji conversion.
+ It supports multiple clients (including kinput2 and canuum), and allows
+ them all to work in the same way, sharing customization files,
+ romaji-to-kana conversion rules and conversion dictionaries.
  .
- This package includes the cannaserver program and dictionary files.
+ This package provides the Canna server program and dictionary files.
 
 Package: canna-utils
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: canna (<= 3.5b2-33), libcanna1g (<= 3.5b2-33)
-Description: Japanese input system (utility)
- Canna is a Japanese input system available in Free Software.
- This package includes canna client programs.
+Description: input system for Japanese - utilities
+ Canna provides a unified user interface for Japanese input. It is based
+ on a client-server model and supports automatic kana-to-kanji conversion.
+ .
+ It supports multiple clients (including kinput2 and canuum), and allows
+ them all to work in the same way, sharing customization files,
+ romaji-to-kana conversion rules and conversion dictionaries.
+ .
+ This package provides client programs for Canna.
 
 Package: libcanna1g
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, debconf
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: canna (<= 3.5b2-33)
-Description: Canna Runtime Library
- Canna is a Japanese input system available in Free Software.
- This package includes canna shared libraries.
+Description: input system for Japanese - runtime library
+ Canna provides a unified user interface for Japanese input. It is based
+ on a client-server model and supports automatic kana-to-kanji conversion.
+ .
+ It supports multiple clients (including kinput2 and canuum), and allows
+ them all to work in the same way, sharing customization files,
+ romaji-to-kana conversion rules and conversion dictionaries.
+ .
+ This package provides shared libraries for Canna.
 
 Package: libcanna1g-dev
 Section: libdevel
 Architecture: any
-Depends: libcanna1g
+Depends: ${misc:Depends}, libcanna1g
 Conflicts: canna-dev, libcanna1-dev, canna (<= 3.5b2-23)
 Replaces: canna-dev
-Description: Canna Static Library and Headers
- Canna is a Japanese input system available in Free Software.
- This package includes header and static libraries.
+Description: input system for Japanese - development files
+ Canna provides a unified user interface for Japanese input. It is based
+ on a client-server model and supports automatic kana-to-kanji conversion.
+ .
+ It supports multiple clients (including kinput2 and canuum), and allows
+ them all to work in the same way, sharing customization files,
+ romaji-to-kana conversion rules and conversion dictionaries.
+ .
+ This package provides the headers and static libraries needed to develop
+ software based on Canna.
diff -Nru canna-3.7p3.old/debian/libcanna1g.postinst canna-3.7p3/debian/libcanna1g.postinst
--- canna-3.7p3.old/debian/libcanna1g.postinst	2009-09-12 18:34:03.234058775 +0200
+++ canna-3.7p3/debian/libcanna1g.postinst	2009-09-12 18:34:38.594056355 +0200
@@ -4,12 +4,12 @@
 . /usr/share/debconf/confmodule
 db_version 2.0
 
+set -e
+
 case "$1" in
     configure)
-    if [ ! -f /etc/canna/default.canna ] ; then
 	db_get canna/default_style
 	cp /usr/share/canna/${RET}.canna /etc/canna/default.canna
-    fi
     ldconfig
     ;;
 
@@ -17,8 +17,6 @@
     ;;
 
     *)
-        echo "postinst called with unknown argument \`$1'" >&2
-        exit 0
     ;;
 esac
 
diff -Nru canna-3.7p3.old/debian/libcanna1g.postrm canna-3.7p3/debian/libcanna1g.postrm
--- canna-3.7p3.old/debian/libcanna1g.postrm	2009-09-12 18:34:03.498056407 +0200
+++ canna-3.7p3/debian/libcanna1g.postrm	2009-09-12 18:34:39.482056917 +0200
@@ -1,5 +1,7 @@
 #!/bin/sh
 
+set -e
+
 case "$1" in
     purge)
 	rm -f /etc/canna/default.canna
@@ -12,9 +14,6 @@
 	;;
     
     *)
-    
-    echo "postrm called with unknown argument \`$1'" >&2
-    exit 0
     ;;
 esac
 
diff -Nru canna-3.7p3.old/debian/libcanna1g.templates canna-3.7p3/debian/libcanna1g.templates
--- canna-3.7p3.old/debian/libcanna1g.templates	2009-09-12 18:34:03.714057292 +0200
+++ canna-3.7p3/debian/libcanna1g.templates	2009-09-12 18:34:40.238058719 +0200
@@ -1,20 +1,27 @@
+# These templates have been reviewed by the debian-l10n-english
+# team
+#
+# If modifications/additions/rewording are needed, please ask
+# debian-l10n-english@lists.debian.org for advice.
+#
+# Even minor modifications require translation updates and such
+# changes should be coordinated with translators and reviewers.
+
 Template: canna/default_style
 Type: select
 Choices: verbose, 1.1, 1.2, jdaemin, just, lan5, matsu, skk, tut, unix, vje, wx2+
 Default: verbose
-_Description: Canna input style
- Please choose the default canna input style below, which will be installed if
- there is no previous configuration:
- .
-  verbose - Canna3.5 default style with verbose comments
-  1.1     - old Canna style (ver. 1.1)
-  1.2     - old Canna style (ver. 1.2)
-  jdaemon - jdaemon style
-  just    - Justsystem ATOK like style
-  lan5    - LAN5 like style
-  matsu   - MATSU word processor like style
-  skk     - SKK like style
-  tut     - for TUT-Code
-  unix    - UNIX style
-  vje     - vje like style
-  wx2+    - WX2+ style
+_Description: Canna input style:
+ Please choose the default Canna input style:
+  verbose: Canna3.5 default style with verbose comments;
+  1.1    : old Canna style (ver. 1.1);
+  1.2    : old Canna style (ver. 1.2);
+  jdaemon: jdaemon style;
+  just   : JustSystems ATOK style;
+  lan5   : LAN5 style;
+  matsu  : Matsu word processor style;
+  skk    : SKK style;
+  tut    : TUT-Code style;
+  unix   : UNIX style;
+  vje    : vje style;
+  wx2+   : WX2+ style.
diff -Nru canna-3.7p3.old/debian/postinst canna-3.7p3/debian/postinst
--- canna-3.7p3.old/debian/postinst	2009-09-12 18:34:05.154057038 +0200
+++ canna-3.7p3/debian/postinst	2009-09-12 18:34:44.826056769 +0200
@@ -1,5 +1,7 @@
 #!/bin/sh
 
+set -e
+
 case "$1" in
     configure)
     # Source debconf library.
@@ -103,8 +105,6 @@
     ;;
     
     *)
-        echo "postinst called with unknown argument \`$1'" >&2
-        exit 0
     ;;
 esac
 
diff -Nru canna-3.7p3.old/debian/postrm canna-3.7p3/debian/postrm
--- canna-3.7p3.old/debian/postrm	2009-09-12 18:34:03.362057302 +0200
+++ canna-3.7p3/debian/postrm	2009-09-12 18:34:38.890057380 +0200
@@ -1,5 +1,7 @@
 #!/bin/sh
 
+set -e
+
 case "$1" in
     purge)
     rm -rf /var/log/canna
@@ -17,9 +19,6 @@
     ;;
     
     *)
-    
-    echo "postrm called with unknown argument \`$1'" >&2
-    exit 0
     ;;
 esac
 
diff -Nru canna-3.7p3.old/debian/rules canna-3.7p3/debian/rules
--- canna-3.7p3.old/debian/rules	2009-09-12 18:34:04.150056580 +0200
+++ canna-3.7p3/debian/rules	2009-09-12 18:34:42.082055963 +0200
@@ -35,7 +35,7 @@
 binary-arch: build
 	dh_testdir -a
 	dh_testroot -a
-	dh_clean -a -k
+	dh_prep
 	dh_installdirs -a
 
 	make install \
diff -Nru canna-3.7p3.old/debian/templates canna-3.7p3/debian/templates
--- canna-3.7p3.old/debian/templates	2009-09-12 18:34:03.850056602 +0200
+++ canna-3.7p3/debian/templates	2009-09-12 18:34:40.710056385 +0200
@@ -1,46 +1,51 @@
+# These templates have been reviewed by the debian-l10n-english
+# team
+#
+# If modifications/additions/rewording are needed, please ask
+# debian-l10n-english@lists.debian.org for advice.
+#
+# Even minor modifications require translation updates and such
+# changes should be coordinated with translators and reviewers.
+
 Template: canna/run_cannaserver
 Type: boolean
 Default: true
-_Description: Do you want to run the Canna server ?
+_Description: Should the Canna server run automatically?
  This package contains the Canna server and server-related
  utilities. If you are only interested in these utilities,
- you can disable the Canna server here.
+ you can disable the Canna server now.
 
 
 Template: canna/run_with_inet
 Type: boolean
 Default: false
-_Description: Do you want to connect to the Canna server from a remote host?
- The Canna server only allows connections via UNIX domain
- sockets when the `-inet' option is not specified.  This
- means that when the Canna server is started without the `-inet' option,
- only clients which run on the same host can connect to the server.
- Some clients such as, `egg' and `yc-el', do not support
- UNIX domain socket and require the `-inet' option, even if they run on
- the same host.
+_Description: Should the Canna server run in network mode?
+ By default the Canna server will run without support for network
+ connections, and will only accept connections on UNIX domain sockets,
+ from clients running on the same host.
  .
- If you want to connect to this Canna server from remote hosts, or
- if you want to use INET-domain-only software, you should run
- the server with the `-inet' option.
+ If you choose this option, network support will be activated, and the
+ Canna server will accept connections on TCP sockets from clients that
+ may be on remote hosts. Some clients (such as egg and yc-el) require
+ this mode even if they run on the local host.
 
 
 Template: canna/manage_allow_hosts_with_debconf
 Type: boolean
 Default: true
-_Description: Manage /etc/hosts.canna with debconf ?
- /etc/hosts.canna controls which hosts can connect to this server.
+_Description: Manage /etc/hosts.canna automatically?
+ The /etc/hosts.canna file lists hosts allowed to connect to the
+ Canna server.
  .
- By default /etc/hosts.canna will be managed with debconf.
- Refuse here if you want to manage /etc/hosts.canna yourself.
+ You should not accept this option if you prefer managing the
+ file's contents manually.
 
 
 Template: canna/allow_hosts
 Type: string
 Default: unix localhost
-_Description: Please enter the name of each host allowed to connect to this server
+_Description: Hosts allowed to connect to this Canna server:
  Please enter the names of the hosts allowed to connect to this Canna server,
  separated by spaces.
  .
- `unix'  is a special notation for allowing access
- via UNIX domain sockets.
-
+ You can use "unix" to allow access via UNIX domain sockets.
